require "shoppe/notification_emails/version"
require "shoppe/notification_emails/engine"

module Shoppe
  module NotificationEmails
    class << self

      def setup

        # When an order is placed, send an email to staff
        Shoppe::Order.before_confirmation do
          Shoppe::NotificationMailer.order_received(self).deliver
        end

      end
      
    end
  end
end
